%global realname jsx
%global upstream talentdeficit
%global debug_package %{nil}

Name:		erlang-%{realname}
Version:	2.8.0
Release:	1%{?dist}
Summary:	A streaming, evented json parsing toolkit
License:	MIT
URL:		https://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
BuildRequires:	erlang-rebar

%description
An erlang application for consuming, producing and
manipulating json. inspired by yajl.

%prep
%setup -q -n %{realname}-%{version}

%build
%{rebar_compile}
rebar compile -v

%install
mkdir -p %{buildroot}%{_erllibdir}/%{realname}-%{version}/ebin
install -pm 644 ebin/jsx.app %{buildroot}%{_erllibdir}/%{realname}-%{version}/ebin
install -pm 644 ebin/*.beam %{buildroot}%{_erllibdir}/%{realname}-%{version}/ebin

%check
rebar eunit -v

%files
%license LICENSE
%doc CHANGES.md README.md
%{_erllibdir}/%{realname}-%{version}

%changelog
* Tue Mar  1 2016 Peter Lemenkov <lemenkov@gmail.com> - 2.8.0-1
- Ver. 2.8.0

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Aug 01 2013 gil cattaneo <puntogil@libero.it> 1.4.2-2
- add debug_package nil
- fix requires list
- drop erlang-eunit

* Fri Jul 12 2013 gil cattaneo <puntogil@libero.it> 1.4.2-1
- initial rpm
